//
//  The Pimp      The Pathetic Image Manipulation Program
//  Copyright (c) 2008 Sam Hocevar <sam@zoy.org>
//                All Rights Reserved
//
//  $Id$
//
//  This library is free software. It comes without any warranty, to
//  the extent permitted by applicable law. You can redistribute it
//  and/or modify it under the terms of the Do What The Fuck You Want
//  To Public License, Version 2, as published by Sam Hocevar. See
//  http://sam.zoy.org/wtfpl/COPYING for more details.
//

using System;
using Gtk;

namespace ThePimp
{
    public partial class SaveFile : Gtk.Dialog
    {
        public SaveFile()
        {
            this.Build();
        }

        public void Save(Pipi.Picture p)
        {
            ResponseType rsp = (ResponseType)Run();
            Hide();
            if(rsp != ResponseType.Ok)
                return;
            p.Save(filechooserwidget1.Filename);
        }
    }
}
